h42264
s 00038/00000/00000
d D 1.1 82/08/03 08:47:06 cecily 1 0
e
u
U
t
T
I 1
execl	title	unix c svc library -- execl

.exece	equ	59

	entry	execl
	extrn	environ
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
execsvc	equ	*
	svc	0,.exece
name	dc	a(*-*)
args	dc	a(*-*)
env	dc	a(*-*)
*
	pure
execl	equ	*
	l	r0,0(sp)	name
	st	r0,name
	la	r0,adc(sp)	args are in stack
	st	r0,args
	l	r0,environ	environment automatically passed
	st	r0,env
	svc	0,0
	dc	a(execsvc)
	bc	error
	br	rf	Q: can this ever happen ?
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
